### Type parameters

- #### T

### Hierarchy

- EventTarget
  - IDBRequest
    - IDBOpenDBRequest

## Index

### Properties

- EventTarget
- error
- onerror
- onsuccess
- readyState
- result
- source
- transaction

### Methods

- addEventListener
- dispatchEvent
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### error

error: DOMException | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9097

When a request is completed, returns the error (a DOMException), or null if the request succeeded. Throws a "InvalidStateError" DOMException if the request is still pending.

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9098

### onsuccess

onsuccess: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9099

### readyState

readyState: IDBRequestReadyState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9104

Returns "pending" until a request is complete, then returns "done".

### result

result: T

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9110

When a request is completed, returns the result, or undefined if the request failed. Throws a "InvalidStateError" DOMException if the request is still pending.

### source

source: IDBObjectStore | IDBIndex | IDBCursor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9115

Returns the IDBObjectStore, IDBIndex, or IDBCursor the request was made against, or null if is was an open request.

### transaction

transaction: IDBTransaction | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9120

Returns the IDBTransaction the request was made within. If this as an open request, then it returns an upgrade transaction while it is running, or null otherwise.

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9121

  #### Type parameters

  - #### K: keyof IDBRequestEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: IDBRequest<T>, ev: IDBRequestEventMap[K]): any

      - #### Parameters

        - ##### this: IDBRequest<T>

        - ##### ev: IDBRequestEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9122

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9123

  #### Type parameters

  - #### K: keyof IDBRequestEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: IDBRequest<T>, ev: IDBRequestEventMap[K]): any

      - #### Parameters

        - ##### this: IDBRequest<T>

        - ##### ev: IDBRequestEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9124

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc